# Created by pyp2rpm-2.0.0
%global github_user matrix-org
%global pypi_name signedjson

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        1%{?dist}.6
Summary:        Signed JSON

License:        ASL 2.0
URL:            https://github.com/%{github_user}/%{name}
Source0:        https://github.com/%{github_user}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with check}
BuildRequires:  python3-nose
BuildRequires:  python3dist(canonicaljson) >= 1.0.0
BuildRequires:  python3dist(unpaddedbase64) >= 1.0.1
BuildRequires:  python3dist(pynacl) >= 0.3.0
BuildRequires:  python3dist(typing-extensions) >= 3.5
%endif

%description
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.

%package -n     python3-%{pypi_name}
Summary:        Signed JSON
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.


%prep
%autosetup

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
nosetests-%{python3_version} -v
%endif

%files -n python3-%{pypi_name} 
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*.*.egg-info

%changelog
* Wed Feb 12 2020 Oleg Girko <ol@infoserver.lv> - 1.1.0-1
- Update to 1.1.0.
- Drop Python 2 support
- Enable tests
* Sat Nov 28 2015 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
